Subject: None/Next/Prev should take a direction option

From: [email-masked]
Date: Fri, 26 Feb 1999 04:43:50 -0600 (CST)

Full_Name: Tim Phipps
Version: 2.2
CVS_Date: 
OS: 
X_Server: 
Submission from: (NULL) (194.202.174.12)

Enhancement request:
 The None etc. commands should take a direction option so that
 the failure of a Direction command can be predicted and
 catered for. This is not the same as Direction, I just want it
 to return true if the Direction command would consider it

 I have my keypad keys bound to direction functions that change
 focus.  If the current window is normal it looks for other
 !Iconic windows in the given direction, if the current window is
 an icon it looks for other icons.

DestroyFunc my_go
AddToFunc my_go I Current (!Iconic) Direction $0 (CurrentDesk !Iconic)
FlipFocus
AddToFunc my_go I Current (Iconic) Direction $0 (CurrentDesk Iconic)
FlipFocus

 What I would like is for the functions to switch from icons to
 windows when there aren't any icons in the given direction and
 vice versa. I'd like the following to work

DestroyFunc my_go_north
AddToFunc my_go_north I Current (!Iconic) None (CurrentDesk North !Iconic)
Direction North (CurrentDesk Iconic) FlipFocus
... (the rest if this func is left as an exercise for the reader 8-)

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]